Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PerfectHashMap< K, T, max_small_size, phm_assert >::iterator Struct Reference

`#include <PerfectHashMap.h>`

## Public Member Functions
void | operator++ (int)
void | operator++ ()
const K * | key () const
T & | value () const
bool | operator!= (const iterator &other) const
bool | operator== (const iterator &other) const
std::pair< const K *, T > & | operator* ()

## Public Attributes
std::pair< const K *, T > * | iter
std::pair< const K *, T > * | end

## Detailed Description

template<typename K, typename T, int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>
struct PerfectHashMap< K, T, max_small_size, phm_assert >::iterator

Definition at line 318 of file PerfectHashMap.h.

## Member Function Documentation

## ◆ operator++() [1/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

void PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 321 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::end, and PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

## ◆ operator++() [2/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

void PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator++ | ( |  | ) |
| inline

Definition at line 327 of file PerfectHashMap.h.

## ◆ key()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const K * PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::key | ( |  | ) | const
| inline

Definition at line 331 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin().

## ◆ value()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

T & PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::value | ( |  | ) | const
| inline

Definition at line 335 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

## ◆ operator!=()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

bool PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator!= | ( | const iterator & | other | ) | const
| inline

Definition at line 339 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

## ◆ operator==()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

bool PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator== | ( | const iterator & | other | ) | const
| inline

Definition at line 343 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

## ◆ operator*()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

std::pair< const K *, T > & PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator* | ( |  | ) |
| inline

Definition at line 347 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter.

## Member Data Documentation

## ◆ iter

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

std::pair<const K *, T>* PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::iter

Definition at line 319 of file PerfectHashMap.h.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin(), PerfectHashMap< K, T, max_small_size, phm_assert >::end(), PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::key(), PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator!=(), PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator*(), PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator++(), PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator==(), and PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::value().

## ◆ end

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

std::pair<const K *, T> * PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::end

Definition at line 319 of file PerfectHashMap.h.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin(), PerfectHashMap< K, T, max_small_size, phm_assert >::end(), and PerfectHashMap< K, T, max_small_size, phm_assert >::iterator::operator++().

The documentation for this struct was generated from the following file:

- src/autoschedulers/common/PerfectHashMap.h